<?

include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();

$set['title'] = 'Мои Друзья Онлайн';
include_once 'sys/inc/thead.php';
title();

$ank['id'] = $user['id'];
if (isset($_GET['id']))$ank['id'] = intval($_GET['id']);
$q = mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1");
if (mysql_num_rows($q)==0){header("Location: index.php?".SID);exit;}

$ank = mysql_fetch_array($q);


if (isset($_GET['add']))msg('Заявка отправлена');
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` INNER JOIN `user` ON `frends`.`frend`=`user`.`id` WHERE `frends`.`user` = '$ank[id]' AND `frends`.`i` = '1' AND `user`.`date_last`>'".(time()-1500)."'"), 0);

echo '<div class="p_t"><img src="/style/user/woman_on.gif"></img><img src="/style/user/man_on.gif"></img> '.( ($k_post==0) ? 'Нет ' : 'на сайте '.$k_post ).' друзей</div>';

$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo '<table class="post">'."\n";

$q = mysql_query("SELECT * FROM `frends` INNER JOIN `user` ON `frends`.`frend`=`user`.`id` WHERE `frends`.`user` = '$ank[id]' AND `frends`.`i` = '1' AND `user`.`date_last`>'".(time()-1500)."' ORDER BY `user`.`date_last` DESC LIMIT $start, $set[p_str]");
while ($f = mysql_fetch_array($q))
{

$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));

if ($a['show_secret']==1)
{
echo '<tr><td class="icon14">';
echo "<img src='/style/secret.png' alt='' class='icon' width='24' height='32'/>\n";
if($num==1){
echo "  <td class='aut'>\n";
$num=0;
}else{
echo "  <td class='tf'>\n";
$num=1;}
echo "".online($a['id'])." <font color='red'>Невидимка</sont>\n";
if (user_access('adm_news'))echo " (<a href='/info.php?id=$a[id]'><span style=\"color:$a[ncolor]\">$a[nick]</span></a>)\n";
echo "<br/>\n";
echo "<font color='#afb0a3'>(Скрытый профиль)</sont>\n";

echo "  </td>\n";
echo "   </tr>\n";
}
if ($a['show_secret']==0)
{
echo '<tr><td class="icon14">';
avatar3($a['id']);
if($num==1){
echo "  <td class='aut'>\n";
$num=0;
}else{
echo "  <td class='tf'>\n";
$num=1;}

echo "".online($a['id'])." \n";
echo '<a href="/info.php?id='.$a['id'].'"><span style=\"color:$ank[ncolor]\">'.$a['nick'].'</span></a>';
echo ' <a href="/mail.php?id='.$a['id'].'"><img src="/img/mail.gif"></img></a> ';
if ($a['show_url']==0)
{
    	if (otkuda($a['url'])){echo " (".otkuda($a['url']).")<br />\n";
}else{echo "(Неизвестно)<br />\n";}
		}
	if ($ank['id']==$user['id'])echo ' <a href="/frend_new.php?del='.$a['id'].'"><img src="/style/icons/del.gif"></a>';
echo '</td></tr>';
	}
}


echo '</table>'."\n";

if ($k_page>1)str("?id=$ank[id]&",$k_page,$page); // Вывод страниц


include_once 'sys/inc/tfoot.php';
?>
